class Codec {
  static List<int> encode(List<List<int>> _list) {
    var count = _list.length - 1;
    List<int> result = [count];
    for (var i = 0; i < count; i++) {
      result.add(_list[i].length);
    }
    for (var list in _list) {
      result.addAll(list);
    }
    return result;
  }
  static List<List<int>> decode(List<int> b) {
    var count = b[0];
    List<List<int>> result = [];
    int off = 1;
    for (var i = 0; i < count; i++) {
      off = b.sublist(1, i + 2).reduce((value, element) => value + element) -
          b[1 + i] +
          1;
      result.add(b.sublist(count + off, count + off + b[1 + i]));
    }
    result.add(b.sublist(count + off + b[count]));
    return result;
  }
}
