import 'cache.dart';

class MemCache implements Cache {
  final Map<String, List<int>> _mem = {};

  @override
  Future<List<int>?> get(String key) async {
    return _mem[key];
  }

  @override
  Future<void> set(String key, List<int> val) async {
    _mem[key] = val;
  }
}
