import 'net_addr.dart';

class PeerInfo {
  final NetAddr tail;
  final String name;

  PeerInfo({required this.tail, required this.name});

  Map<String, String> toMap() {
    return {"name": name, "tail": tail.toString()};
  }

  static PeerInfo fromMap(Map<String, String> map) {
    return PeerInfo(tail: NetAddr.fromString(map["tail"]!), name: map["name"]!);
  }
}
