import 'dart:math';

import 'package:test/test.dart';

import 'package:yona/yona.dart';

void main() async {
  test("simple", () async {
    var user1 = await Crypto.randBytes(34);
    var user2 = await Crypto.randBytes(24);
    var msg = Packet(
        user2, user1, await Crypto.randBytes(Random.secure().nextInt(99) + 19),
        Random.secure().nextInt(99));
    var msg2 = Packet.decode(msg.encode());
    assert(Utils.equal(msg2.data, msg.data));
    assert(Utils.equal(msg2.from, msg.from));
    assert(Utils.equal(msg2.to, msg.to));
    assert(msg2.id == msg.id);
  });
}
