import 'package:test/test.dart';
import 'package:yona/yona.dart';

void main() async {
  test("simple", () async {
    var addr = NetAddr(1, "localhost");
    assert(addr == NetAddr.fromString(addr.toString()));
    assert((await addr.lookup()).isNotEmpty);
    assert(addr.toUri(
        scheme: "scheme1",
        pathSegments: ["hi"],
        queryParameters: {"foo": "bar"}).toString() ==
        Uri(
            scheme: "scheme1",
            pathSegments: ["hi"],
            queryParameters: {"foo": "bar"},
            port: addr.port,
            host: addr.host)
            .toString());
  });
}
