import 'dart:convert';

import 'package:test/test.dart';
import 'package:yona/yona.dart';

void main() {
  group('codec tests', () {
    test('correctness', () {
      var i = "a bc defg hijklmp qrstuvwxyz";
      var j = Codec.decode(
              Codec.encode(i.split(" ").map((e) => utf8.encode(e)).toList()))
          .map((e) => utf8.decode(e))
          .toList()
          .join(" ");
      assert(i == j);
    });
    test('correctness', () {
      var i = "atdfgdfyert";
      var j = Codec.decode(
              Codec.encode(i.split(" ").map((e) => utf8.encode(e)).toList()))
          .map((e) => utf8.decode(e))
          .toList()
          .join(" ");
      assert(i == j);
    });
  });
}
